%-------------------------------------------------------------------------
% For a given M and R (diff Vs30?), generate plots illustrating frequency
% content for all records in bin.
%
% Written by: N. Simon Kwong
% Date Modified: Sep 07 2010
%-------------------------------------------------------------------------
clear all; close all; clc;

% Given M, R, Vs30 with tolerances, search database and determine number of
% records in bin. Then put list of .at2 names in address.txt

% Use list of .at2 names in address.txt to search in database and copy the
% relevant files into GM folder.


for gm = 1:5
    % Get dt somehow from files
    accName = strcat('.\M_',num2str(gm),'.tcl');
    acc = load(accName);
    dtList = [0.01 0.005 0.005 0.005 0.005 ];
    dt = dtList(gm);
    
    N = length(acc);
    td = (N-1)*dt;       % Duration of ground motion
    t = 0:dt:td;
    
    % Plot time history
    figure(2*gm-1)
    set(gca,'FontSize',14);
    h = plot(t,acc); grid on;
    xlabel('time, sec'); ylabel('ground acceleration, in/sec^2');
    
    % Display frequency content
    figure(2*gm)
    fftPlot(acc,dt);
end


