function [u,v,a] = NewMarkLinear(zeta,k,wn,unot,vnot,p,delta)
wn2 = wn^2;
% k = 10;
m = k/wn2;
c = zeta*(2*m*sqrt(k/m));
khat = (6*m/((delta)^2)) + (c*3/delta) + k;
b = 6*m/delta + 3*c;
d = 3*m + delta*0.5*c;
n = length(p);
u = zeros(n,1);
u(1) = unot;
v = zeros(n,1);
v(1) = vnot;
a = zeros(n,1);
a(1) = (p(1) - c*vnot - k*unot)/m;
deltaphat = zeros(n-1,1);
deltau = zeros(n-1,1);
deltav = zeros(n-1,1);
deltaa = zeros(n-1,1);

for i = 1:n-1;
    deltaphat(i) = (p(i+1) - p(i)) + b*v(i) + d*a(i);
    deltau(i) = deltaphat(i)/khat;
    deltav(i) = 3*deltau(i)/delta - 3*v(i) -0.5*delta*a(i);
    deltaa(i) = 6*deltau(i)/(delta^2) - 6*v(i)/delta - 3*a(i);
    u(i+1) = u(i) + deltau(i);
    v(i+1) = v(i) + deltav(i);
    a(i+1) = a(i) + deltaa(i);
end
end
