% This file is used in response_TCL_NGA.m
% Function to create .tcl files for use with OpenSees
% Variables are loaded from GMinfo.mat workspace file
% Workspace file is generated from readGMat2.m
%
% Written by: E.Kalkan
% Modified by: N.Kwong
% Date Modified: 09 Nov 2010
%% ----------------------DEFINITIONS---------------------------------------
% convF = units for gacc are from convF_AT2 defined in response_TCL_NGA.m;
%         convF here is used to convert the units of gacc to in/sec^2 for 
%         use with OpenSees
% fpath = specifies location for placement of .tcl files
% N     = number of data points (serves as check)

%% ------------------------------------------------------------------------
function createTCL(convF,fpath)
load GMinfo.mat
% Check npoints from .at2 file
N = length(gacc);
if (N == npoint)
    filename = strcat(fpath,filename_c,'.tcl');
    fid = fopen (filename,'w');
    fprintf(fid, '%s %s \n','# Filename:',filename_c);
    fprintf(fid, '%s %s \n','# Event:',eq_date);
    fprintf(fid, '%s %s \n','# Station:',station_name);
    fprintf(fid, '%s %s \n','# Component:',num2str(c_name));
    fprintf(fid, '%s %s \n','# Filtered:',filters);
    fprintf(fid, '%s %6.4f \n','# dt =',dt);

    % Fix space issue when .tcl files are read in OpenSees
    if (N >= 10000)
        fprintf(fid, '%s %5.0f \n','# Number of data point = ',N);
    else
        fprintf(fid, '%s %5.0f \n','# Number of data point =',N);
    end

    fprintf(fid, '%s \n','# Unit = inch/sec^2');
    fprintf(fid, '%s \n','# ------------------------------------');
    fprintf(fid,'%5.4f\n',gacc/convF);
else
    disp('Something is wrong with num points');
end
end