###########################################################################################
#															#
#Job:Procedure to Create Circular RC Sections								#
#by: Emrah Erduran 												#
#Date: 08/10/2005													#
#previously Modified: 08/10/2005										#
#last Modified: 06/16/2010											#
#															#
###########################################################################################

#Parameters Involved
#Tag: Tag of the Section Created
#matTagCore: Material Tag for Core Concrete
#matTagCover: Material Tag for Cover Concrete
#totalDia: Diameter of the Gross-Section
#coreDia: Diameter of the Core
#matTagSteel: Material Tag for Steel
#ReinDia: Diameter of the Reinforcement Circle
#numBars: Number of reinforcement bars
#Area: Area of one bar

proc CircularConc {Tag matTagCore matTagCover totalDia coreDia matTagSteel ReinDia numBars Area} {
set coreRad [expr $coreDia/2]
set totalRad [expr $totalDia/2]
set ReinRad [expr $ReinDia/2]															
section Fiber $Tag {
	#Patch the Core Concrete
 	#patch circ $matTag $numSubdivCirc $numSubdivRad $yCenter $zCenter $intRad $extRad <$startAng $endAng>
	patch circ $matTagCore 8 8 0.0 0.0 0.0 $coreRad 0 360 
	#Patch the Cover Concrete 
	patch circ $matTagCover 8 4 0.0 0.0 $coreRad $totalRad 0 360
	#layer circ $matTag $numBar $areaBar $yCenter $zCenter $radius <$startAng $endAng>
	layer circ $matTagSteel $numBars $Area 0.0 0.0 $ReinRad 0 360
}}
###########################################################################################
#						END OF INPUT							#
###########################################################################################
	