puts "Start Eigen Analysis"

# --------------------------------
# EXTRACTING NATURAL FREQUENCY
# ---------------------------------

set lambdaN [eigen 10]

for {set i 1} {$i <= 6} {incr i 1} {
	set lambda [lindex $lambdaN [expr $i-1]]
	set period [expr 2*3.14/(pow($lambda,0.5))]
	puts "T$i = $period sec"
}

# --------------------------------
# EXTRACTING MODESHAPE
# ---------------------------------
set md_1x $eigFolder/Mode_1x.out;
set md_1y $eigFolder/Mode_1y.out;    # y-direction : Transverse
set md_1z $eigFolder/Mode_1z.out;

set md_2x $eigFolder/Mode_2x.out;  
set md_2y $eigFolder/Mode_2y.out;
set md_2z $eigFolder/Mode_2z.out;
 
set md_3x $eigFolder/Mode_3x.out;
set md_3y $eigFolder/Mode_3y.out; 
set md_3z $eigFolder/Mode_3z.out;

set md_4x $eigFolder/Mode_4x.out;
set md_4y $eigFolder/Mode_4y.out; 
set md_4z $eigFolder/Mode_4z.out;

set md_5x $eigFolder/Mode_5x.out;
set md_5y $eigFolder/Mode_5y.out; 
set md_5z $eigFolder/Mode_5z.out;

set md_6x $eigFolder/Mode_6x.out;
set md_6y $eigFolder/Mode_6y.out; 
set md_6z $eigFolder/Mode_6z.out; 

#recorder Node -file $filename -time -node $nd# -dof $dof# "resp_type"
set eigRec1x [recorder Node -file $md_1x -nodeRange 1 99 -dof 1 "eigen 1"]
set eigRec1y [recorder Node -file $md_1y -nodeRange 1 99 -dof 2 "eigen 1"]
set eigRec1z [recorder Node -file $md_1z -nodeRange 1 99 -dof 3 "eigen 1"]

set eigRec2x [recorder Node -file $md_2x -nodeRange 1 99 -dof 1 "eigen 2"]
set eigRec2y [recorder Node -file $md_2y -nodeRange 1 99 -dof 2 "eigen 2"]
set eigRec2z [recorder Node -file $md_2z -nodeRange 1 99 -dof 3 "eigen 2"]

set eigRec3x [recorder Node -file $md_3x -nodeRange 1 99 -dof 1 "eigen 3"]
set eigRec3y [recorder Node -file $md_3y -nodeRange 1 99 -dof 2 "eigen 3"]
set eigRec3z [recorder Node -file $md_3z -nodeRange 1 99 -dof 3 "eigen 3"]

set eigRec4x [recorder Node -file $md_4x -nodeRange 1 99 -dof 1 "eigen 4"]
set eigRec4y [recorder Node -file $md_4y -nodeRange 1 99 -dof 2 "eigen 4"]
set eigRec4z [recorder Node -file $md_4z -nodeRange 1 99 -dof 3 "eigen 4"]

set eigRec5x [recorder Node -file $md_5x -nodeRange 1 99 -dof 1 "eigen 5"]
set eigRec5y [recorder Node -file $md_5y -nodeRange 1 99 -dof 2 "eigen 5"]
set eigRec5z [recorder Node -file $md_5z -nodeRange 1 99 -dof 3 "eigen 5"]

set eigRec6x [recorder Node -file $md_6x -nodeRange 1 99 -dof 1 "eigen 6"]
set eigRec6y [recorder Node -file $md_6y -nodeRange 1 99 -dof 2 "eigen 6"]
set eigRec6z [recorder Node -file $md_6z -nodeRange 1 99 -dof 3 "eigen 6"]

#----------------------------------------------------------------------
# EIGENVALUE ANALYSIS CONTROL  -2
#----------------------------------------------------------------------

system BandGeneral
constraints Transformation
numberer RCM
##                  tolerance maxIter displayCode
test NormDispIncr 1.0e-12      100       0
algorithm Newton
integrator LoadControl 0.1
analysis Static
analyze 1
loadConst -time 0.0 

remove recorder $eigRec1x
remove recorder $eigRec1y
remove recorder $eigRec1z

remove recorder $eigRec2x
remove recorder $eigRec2y
remove recorder $eigRec2z

remove recorder $eigRec3x
remove recorder $eigRec3y
remove recorder $eigRec3z

remove recorder $eigRec4x
remove recorder $eigRec4y
remove recorder $eigRec4z

remove recorder $eigRec5x
remove recorder $eigRec5y
remove recorder $eigRec5z

remove recorder $eigRec6x
remove recorder $eigRec6y
remove recorder $eigRec6z

puts "Finished Eigen Analysis"








