###############################################################################################
#Start Modeling the Gravity Loads
pattern Plain 1 Linear {
	#---DECK------------------------------------
	#---Western Half of Span--------------------
	#  node	Fx	Fy	Fz 	  Mx	My  Mz
	load 1 0.0 0.0 [expr -32.2*$m1] 0.0 0.0 0.0 
	load 2 0.0 0.0 [expr -32.2*$m2] 0.0 0.0 0.0 
	load 3 0.0 0.0 [expr -32.2*$m3] 0.0 0.0 0.0
 
	for {set i 4} {$i <= 19} {incr i 1}	{
		set m [expr $mDeck_2*2]
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0
	}

	set m20 [expr $mDeck_2 + $mDeck_3]
	load 20 0.0 0.0 [expr -32.2*$m20] 0.0 0.0 0.0
	
	for {set i 21} {$i <= 38} {incr i 1} {
		set m [expr $mDeck_3*2]
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0
	}

	set m39 [expr ($mDeck_3+$mDeck_4+$mCap*2)]
	load 39 0.0 0.0 [expr -32.2*$m39] 0.0 0.0 0.0

	#---Eastern Half of Span--------------------
	#  node	Fx	Fy	Fz 	  Mx	My  Mz
	for {set i 40} {$i <= 78} {incr i 1} {	
		set m [expr $mDeck_4*2]
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0
	}
	
	set m79 [expr $mDeck_4 + $m1]
	set m80 [expr $m1*2]
	set m81 [expr $m1]

	load 79 0.0 0.0 [expr -32.2*$m79] 0.0 0.0 0.0 
	load 80 0.0 0.0 [expr -32.2*$m80] 0.0 0.0 0.0 
	load 81 0.0 0.0 [expr -32.2*$m81] 0.0 0.0 0.0
	
	#---BENT (NORTH)---------------------------
	load 82 0.0 0.0 [expr -32.2*$mBent] 0.0 0.0 0.0 

	for {set i 83} {$i <= 89} {incr i 1} {
		set m [expr $mBent*2]
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0
	}

	set m90  [expr $mBent+$mCap]
	load 90 0.0 0.0 [expr -32.2*$m90] 0.0 0.0 0.0

	#---BENT (SOUTH)---------------------------
	load 91 0.0 0.0 [expr -32.2*$mBent] 0.0 0.0 0.0

	for {set i 92} {$i <= 98} {incr i 1} {
	 	set m [expr $mBent*2]
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0
	}

	set m99  [expr $mBent+$mCap]
	load 99 0.0 0.0 [expr -32.2*$m99] 0.0 0.0 0.0

} 	
puts "finished creating the gravity loads..."

#----------------------------------------------------------------------
#                                                   GRAVITY ANALYSIS
#----------------------------------------------------------------------

#wipeAnalysis

puts "gravity analysis starts"
set numSteps 10
system UmfPack
constraints Transformation
numberer RCM
test NormDispIncr 1.0e-10 100
algorithm NewtonLineSearch
integrator LoadControl [expr 1.0/$numSteps]
analysis Static
analyze $numSteps
loadConst -time 0.0 

puts "Gravity Analysis is complete!!!"
