###############################################################################################
#Start Modeling the Lateral Pushover Loads in TRANSVERSE DIRECTION
pattern Plain 2 Linear {
	#---DECK------------------------------------
	#---Western Half of Span--------------------
	set eigFileID [open eigOutput/Mode_1y.out r]
	gets $eigFileID line
	set mode1 [split $line]
		
	close $eigFileID

	#  node	Fx	Fy	Fz 	  Mx	My  Mz
	load 1 0.0 [expr $m1*[lindex $mode1 0]] 0.0 0.0 0.0 0.0 
	load 2 0.0 [expr $m2*[lindex $mode1 1]] 0.0 0.0 0.0 0.0 
	load 3 0.0 [expr $m3*[lindex $mode1 2]] 0.0 0.0 0.0 0.0
 
	for {set i 4} {$i <= 19} {incr i 1}	{
		set m [expr $mDeck_2*2]
		set H [expr $m*[lindex $mode1 [expr $i-1]]]
		load $i 0.0 $H 0.0 0.0 0.0 0.0
	}

	set m20 [expr $mDeck_2 + $mDeck_3]
	set H20 [expr $m20*[lindex $mode1 19]]
	load 20 0.0 $H20 0.0 0.0 0.0 0.0
	
	for {set i 21} {$i <= 38} {incr i 1} {
		set m [expr $mDeck_3*2]
		set H [expr $m*[lindex $mode1 [expr $i-1]]]
		load $i 0.0 $H 0.0 0.0 0.0 0.0
	}

	set m39 [expr ($mDeck_3+$mDeck_4+$mCap*2)]
	set H39 [expr $m39*[lindex $mode1 38]]
	load 39 0.0 $H39 0.0 0.0 0.0 0.0

	#---Eastern Half of Span--------------------
	#  node	Fx	Fy	Fz 	  Mx	My  Mz
	for {set i 40} {$i <= 78} {incr i 1} {	
		set m [expr $mDeck_4*2]
		set H [expr $m*[lindex $mode1 [expr $i-1]]]
		load $i 0.0 $H 0.0 0.0 0.0 0.0
	}
	
	set m79 [expr $mDeck_4 + $m1]
	set m80 [expr $m1*2]
	set m81 [expr $m1]

	set H79 [expr $m79*[lindex $mode1 78]]
	set H80 [expr $m80*[lindex $mode1 79]]
	set H81 [expr $m81*[lindex $mode1 80]]

	load 79 0.0 $H79 0.0 0.0 0.0 0.0 
	load 80 0.0 $H80 0.0 0.0 0.0 0.0 
	load 81 0.0 $H81 0.0 0.0 0.0 0.0
	
	#---BENT (NORTH)---------------------------
	load 82 0.0 [expr $mBent*[lindex $mode1 81]] 0.0 0.0 0.0 0.0 

	for {set i 83} {$i <= 89} {incr i 1} {
		set m [expr $mBent*2]
		set H [expr $m*[lindex $mode1 [expr $i-1]]]
		load $i 0.0 $H 0.0 0.0 0.0 0.0
	}

	set m90  [expr $mBent+$mCap]
	set H90 [expr $m90*[lindex $mode1 89]]
	load 90 0.0 $H90 0.0 0.0 0.0 0.0

	#---BENT (SOUTH)---------------------------
	load 91 0.0 [expr $mBent*[lindex $mode1 90]] 0.0 0.0 0.0 0.0

	for {set i 92} {$i <= 98} {incr i 1} {
	 	set m [expr $mBent*2]
		set H [expr $m*[lindex $mode1 [expr $i-1]]]
		load $i 0.0 $H 0.0 0.0 0.0 0.0
	}

	set m99  [expr $mBent+$mCap]
	set H99 [expr $m99*[lindex $mode1 98]]
	load 99 0.0 $H99 0.0 0.0 0.0 0.0

} 	
puts "finished creating the lateral loads for transverse direction..."

#----------------------------------------------------------------------
#                                                   PUSHOVER ANALYSIS
#----------------------------------------------------------------------

#wipeAnalysis

puts "pushover analysis for transverse direction starts"

#file mkdir Pushover_$dir
#set filename Pushover_$dir
#source recorder.tcl

set maxU 1.5
set dU [expr $maxU/100]
		

#constraints Transformation
#numberer RCM
#system BandGeneral
test NormDispIncr 1.0e-12 50
algorithm Newton

integrator DisplacementControl 39 2 $dU

analysis Static
set numSteps [expr int($maxU/$dU)]
analyze $numSteps

puts "Pushover Analysis is complete!!!"
