% Develop pushover curves
clear all; close all;

u39 = load('MasterNodeDisp_Trans.out');
reactions = load('Reactions_Trans.out');

% Negative one factor to convert reactions to same direction as base shear
Vb = -1*reactions*[1 1 1 1]';

% Calculate first mode quantities
phi1 = load('Mode_2y.out');
size(phi1)

% massMatrix
mVec = load('massList.txt');
mVec = mVec';

L1 = phi1*mVec;
mMatrix = diag(mVec,0);
M1 = phi1*mMatrix*phi1';
R1 = L1/M1
phiMaster = phi1(39)
M1eff = L1*L1/M1

% Convert to SDF inelastic system
D1 = (1/(R1*phiMaster))*u39;
Fs1_L1 = (1/M1eff)*Vb;
% Very rough estimate of initial period
% Use cursor to find points to determine slope
Fs1_L1(11:15)
for i=1:5
    T1(i) = 2*pi*sqrt((D1(10+i)-D1(10))/(Fs1_L1(10+i)-Fs1_L1(10)));
end
T1

% Plot monotonic pushover curve
figure(1)
plot(u39,Vb)
grid on
xlabel('Node 39 Displacement, ft')
ylabel('Base Shear, kips')
title('Base Shear vs Master Node 39 Pushover Curve')

% Plot monotonic pushover curve for SDF inelastic
figure(2)
plot(D1,Fs1_L1)
grid on
xlabel('D1, ft')
ylabel('SDF acceleration, kips-sec^2/ft')
title('Fs1/L1 vs D1 SDF Inelastic Pushover Curve')
