wipeAnalysis
set xFile ..//GMs2/M_$GM.tcl
set yFile ..//GMs/M_$GM.tcl

set filename "../Skew_Unscaled/output/M_$GM"

recorder Node -file $filename/NodalDisp_Trans.out -time -node 39 -dof 2 disp
recorder Node -file $filename/NodalDisp_Long.out -time -node 39 -dof 1 disp
recorder Element -file $filename/PlasticRot.out -ele 81 89 plasticDeformation

set fileId [open ../Skew_Unscaled/output/M_$GM.log w 0600]

set gamma 0.5
set beta 0.25

# Set the Rayleigh Damping for Nodes and Elements
# Used 5% damping for first and third modes
set Damp 0.05

set lambdaN [eigen 3]
set lambda1 [lindex $lambdaN 0]
set lambda3 [lindex $lambdaN 2]
set omega1 pow($lambda1,0.5)
set omega3 pow($lambda3,0.5)

set alphaM [expr $Damp*2*$omega1*$omega3/($omega1+$omega3)]
set betaK 0.0;   
set betaKcomm [expr $Damp*2/($omega1+$omega3)]
set betaKinit 0

rayleigh  $alphaM   $betaK  $betaKinit   $betaKcomm

system UmfPack
constraints Transformation
numberer RCM
integrator Newmark $gamma $beta; 
	set comp1 "Series -dt $dt -filePath $xFile -factor [expr $GMfattX/12.0]"
	set comp2 "Series -dt $dt -filePath $yFile -factor [expr $GMfattY/12.0]"
#	set compV "Series -dt $dt -filePath $vFile -factor $GMfatt"

	if {$GMdir == "GM1"} {	
		puts "GM Direction = $GMdir"
		pattern UniformExcitation 2 2 -accel $comp2
		pattern UniformExcitation 3 1 -accel $comp1  
	}
	if {$GMdir == "GM2"} {
		pattern UniformExcitation 2 1 -accel $comp1
		pattern UniformExcitation 3 2 -accel $comp2
		pattern UniformExcitation 4 3 -accel $compV
	}
	if {$GMdir == "GM3"} {	
		
		pattern UniformExcitation 2 1 -accel $comp2
		pattern UniformExcitation 3 2 -accel $comp1  
	}
	if {$GMdir == "GM4"} {
		pattern UniformExcitation 2 1 -accel $comp2
		pattern UniformExcitation 3 2 -accel $comp1
		pattern UniformExcitation 4 3 -accel $compV
	}
analysis Transient
# numDataPoints  timeStep
    set tFinal [expr $Nsteps * $dt]
    set tCurrent 0
    set ok 0
    while {$tFinal > $tCurrent && $ok == 0} {
#	set percent [expr  $tCurrent/$tFinal*100]
      puts "GM no: $GM Scale Factor: x-$GMfattX y-$GMfattY tfinal: $tFinal tcurrent: $tCurrent"
      test EnergyIncr 1.0e-3 1000;
      set ok [analyze 1 $dt]
      if {$ok != 0} {
		algorithm NewtonLineSearch
	      set ok [analyze 1 $dt]
      	  if {$ok == 0} {puts "NewtonLineSearch successful"}
	        if {$ok != 0} {
      	  puts "FAILED: $tCurrent"; 
   	        puts $fileId "Analysis Failed for GM = $GM (time=$tCurrent, step=[expr $tCurrent/$dt])"
  		  break;
	        }
	}
      set tCurrent [getTime]	
    }
    if {$ok == 0} {
	puts $fileId "Analysis Successful for GM = $GM"
    }
    close $fileId
    puts "analysis completed"

#analyze $Nsteps $dt $dt  0.001 $dt  1000;



