# # Input values based on ESDOF Modal Pushover Curve from Excel file and PlotSaSdFit_Skw.m
# # (Transverse Direction)
# # Effective fundamental period
# set Tn 0.52
# # ESDOF yield acceleration
# set fy 190
# # ESDOF post-yield hardening ratio
# set b 0.68
# # damping
# set damp 0.05

source matInput.tcl
# Initial stiffness of ESDF modal pushover curve
set E [expr pow(2*3.14/$Tn,2)];
puts $E
# Equivalent viscous damping
set C [expr 2*$damp*pow($E,0.5)]

uniaxialMaterial Steel01   1  $fy  $E  $b
uniaxialMaterial Viscous   2  $C 1
uniaxialMaterial Parallel  3  1 2
