wipe
model BasicBuilder -ndm 2 -ndf 3
set h 1
set m 1
# Define nodes
node  1     0     0   -mass      0     0     0 0 0 0
node  2     0     0   -mass      0     0     0 0 0 0
node  3     0     $h  -mass     [expr $m]     0.00001     0 0 0 0
fix 1 1 1 1
source material.tcl
geomTransf Linear 1
element elasticBeamColumn 2 2 3 1000 1000 1000 1
source rotSpring2D.tcl
rotSpring2D 1 1 2 3
set omg_sqr [eigen 1]; set p1 [expr 2*3.14/(pow($omg_sqr,0.5))]
#puts "K = $omg_sqr"; 
puts "T = $p1"
#-----------------------------------------------------
source GMotion.tcl

recorder Element -file M_$GM-Force.out -ele 1 forces
recorder Node -file M_$GM-acc.out -time -node 3 -dof 1 accel
recorder Node -file M_$GM-disp.out -time -node 3 -dof 1 disp

set Gaccel "Series -dt $dt -filePath $outFile -factor [expr $GMfatt]"; 
pattern UniformExcitation 3 1 -accel $Gaccel; 
#-----------------------------------------------------------------------------------------
set  gamma 0.5; set beta 0.25;
system SparseGeneral
constraints Transformation 1.0
test EnergyIncr 1.0e-6 1000;
algorithm NewtonLineSearch; 
numberer Plain
integrator Newmark $gamma $beta 
analysis Transient
analyze $Nsteps $dt;
wipe

