# PAINTER STREET OVERCROSSING - SKEW BRIDGE MODEL
# Units are: kips, ft, sec
#====================================================================
wipe all;
model BasicBuilder -ndm 3 -ndf 6

#-----------------------------------
# GM direction combinations
#-----------------------------------
#Set the Ground Motion Directions (GM1:X+Y, GM2:X+Y+V, GM3:Y+X, GM4:Y+X+V)
set GMdir "GM1"

#-----------------------------------
# CORRECTION COEFFICIENTS FOR MODEL
#-----------------------------------
#-------Trial of any combination------------------
set coef_bc   1.0;      	# for B.C.
set coef_bcBent  1.0 ;      # for B.C.
set c_Damp    0.0 ;      	# for Damping coefficient
set c_Bent    1.0;       	# for upper part of bent geometry

# Define geometry and properties
source assignNodes.tcl
source setSectionProperties.tcl
source setSpringStiffness.tcl
source assignMaterial.tcl
source assignBoundaryConditions.tcl
source assignGeoTran.tcl
source setFiberSection.tcl

# Assign/assemble elements in separate files
source assignDeck.tcl
source assignBentNorthNL.tcl
source assignBentSouthNL.tcl
source assignCapBeam.tcl

# Create folder for collecting mass and modal info
set eigFolder EigOutput
file mkdir $eigFolder
source assignMass.tcl
puts "model complete!!"

# Check periods and mode shapes of model
# source Eigen.tcl

# source GravityAnalysis.tcl

source Eigen.tcl
#====================================================================
#                                DONE !!!!
#====================================================================

