###############################################################################################
#Start Modeling the Gravity Loads
pattern Plain 1 Linear {
	for {set i 1} {$i <= 99} {incr i 1} {
		set m [lindex $mList [expr $i-1]]
		#  node	Fx	Fy	Fz 	  Mx	My  Mz
		load $i 0.0 0.0 [expr -32.2*$m] 0.0 0.0 0.0 
	}
#	for {set i 86} {$i <= 90} {incr i 1} {
#		set m [lindex $mList [expr $i-1]]
#		#  node	Fx	Fy	Fz 	  Mx	My  Mz
#		load $i 0.0 0.0 [expr -32.2*$m*10] 0.0 0.0 0.0 
#	}
#	for {set i 95} {$i <= 99} {incr i 1} {
#		set m [lindex $mList [expr $i-1]]
#		#  node	Fx	Fy	Fz 	  Mx	My  Mz
#		load $i 0.0 0.0 [expr -32.2*$m*10] 0.0 0.0 0.0 
#	}
#		load 90 0.0 0.0 [expr -32.2*$m*20] 0.0 0.0 0.0 
#		load 99 0.0 0.0 [expr -32.2*$m*20] 0.0 0.0 0.0 

} 	
puts "finished creating the gravity loads..."

#----------------------------------------------------------------------
#                                                   GRAVITY ANALYSIS
#----------------------------------------------------------------------

wipeAnalysis

puts "gravity analysis starts"
set numSteps 10

set GravFolder GravOutput
file mkdir $GravFolder

#recorder Node <-file $filename> <-time> <-node #> <-dof #> <resp type>
set gravRec1 [recorder Node -file $GravFolder/VertReactions.out -time -node 1 81 82 91 -dof 3 reaction]
set gravRec2 [recorder Node -file $GravFolder/GravShapeX.out -nodeRange 1 99 -dof 1 disp]
set gravRec3 [recorder Node -file $GravFolder/GravShapeY.out -nodeRange 1 99 -dof 2 disp]
set gravRec4 [recorder Node -file $GravFolder/GravShapeZ.out -nodeRange 1 99 -dof 3 disp]

constraints Transformation
numberer RCM
system UmfPack
test NormDispIncr 1.0e-10 100
algorithm NewtonLineSearch
integrator LoadControl [expr 1.0/$numSteps]
analysis Static
analyze $numSteps
loadConst -time 0.0 

remove recorder $gravRec1
remove recorder $gravRec2
remove recorder $gravRec3
remove recorder $gravRec4

puts "Gravity Analysis is complete!!!"
