% This file is used in response_TCL_NGA.m
% Function to plot individual spectrum and display periods of interest
%
% Written by: E.Kalkan
% Modified by: N.Kwong
% Date Modified: 17 Oct 2010
%% ----------------------DEFINITIONS---------------------------------------
% sPeriod        = vector containing periods of interest for spectrum
% pseudo_acc_max = Pseudo spectral acceleration (cm/sec)
% T              = list of pts of interest when plotting ind. spectra
% filename_c     = name of GM file without file extensions
%
% Note: Units are specified by gacc file (not necessarily cm)

%% ------------------------------------------------------------------------
function plotIndSpectrum(sPeriod,psuedoAcc,T,filename_c)
figure(1);orient tall; clf; axis square;
        set(gcf,'position',[200 283 300 260]);
        set(gca,'TickLength',[.02 .02]);
        plot(sPeriod,psuedoAcc,'b'); hold;
        plot([T(1),T(1)],[0,5.5],'--r');
        plot([T(2),T(2)],[0,5.5],'--r');
        plot([T(3),T(3)],[0,5.5],'--r');

        title(filename_c,'FontSize',[10],'FontWeight','bold');
        xlabel('Period (s), Tn','FontSize',[10],'FontWeight','bold');
        ylabel('Spectral Acc. (g)','FontSize',[10],'FontWeight','bold');
        axis([0 2 0 5.5]); legend('Individual Spectrum','Design Spectrum');
        pause;
end